Bug 1992823 - Cluster autoscaler should use Kubernetes 1.22 dependencies
Summary: Cluster autoscaler should use Kubernetes 1.22 dependencies
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cloud Compute
Version: 4.9
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.9.0
Assignee: Michael McCune
QA Contact: sunzhaohua
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-08-11 19:08 UTC by Michael McCune
Modified: 2021-10-18 17:46 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-18 17:45:58 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift kubernetes-autoscaler pull 209 0 None None None 2021-08-11 19:17:43 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:46:14 UTC

Description Michael McCune 2021-08-11 19:08:25 UTC
Description of problem:  The cluster autoscaler should be using the same client library version as the core of the openshift cluster and in particular the openshift and kube API servers.

Comment 2 sunzhaohua 2021-08-18 01:23:01 UTC
verified

clusterversion: 4.9.0-0.nightly-2021-08-16-154237
Did a regression test, no issues were found.
test run: https://polarion.engineering.redhat.com/polarion/#/project/OSE/testrun?id=20210816-0402

Comment 5 errata-xmlrpc 2021-10-18 17:45:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.